import { LitElement } from "lit";
import { type TranslateFn } from "@livepeer-frameworks/player-core";
export declare class FwErrorOverlay extends LitElement {
    error: string | null;
    isPassive: boolean;
    translator?: TranslateFn;
    private _defaultTranslator;
    private get _t();
    static styles: import("lit").CSSResult[];
    protected render(): import("lit").TemplateResult<1>;
    private _clearError;
    private _retry;
}
declare global {
    interface HTMLElementTagNameMap {
        "fw-error-overlay": FwErrorOverlay;
    }
}
